KemBMParameter (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class KemBMParameter

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.KemBMParameter

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class KemBMParameter
      extends ASN1Object

        KemBMParameter ::= SEQUENCE {
            kdf              AlgorithmIdentifier{KEY-DERIVATION, {...}},
            len              INTEGER (1..MAX),
            mac              AlgorithmIdentifier{MAC-ALGORITHM, {...}}
         }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KemBMParameter(AlgorithmIdentifier kdf, ASN1Integer len, AlgorithmIdentifier mac)`
    `KemBMParameter(AlgorithmIdentifier kdf, long len, AlgorithmIdentifier mac)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KemBMParameter` | `getInstance(java.lang.Object o)`
    `AlgorithmIdentifier` | `getKdf()`
    `ASN1Integer` | `getLen()`
    `AlgorithmIdentifier` | `getMac()`
    `ASN1Primitive` | `toASN1Primitive()` KemBMParameter ::= SEQUENCE { kdf AlgorithmIdentifier{KEY-DERIVATION, {...}}, len INTEGER (1..MAX), mac AlgorithmIdentifier{MAC-ALGORITHM, {...}} }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KemBMParameter

          public KemBMParameter(AlgorithmIdentifier kdf,
                                ASN1Integer len,
                                AlgorithmIdentifier mac)

    - #### KemBMParameter

          public KemBMParameter(AlgorithmIdentifier kdf,
                                long len,
                                AlgorithmIdentifier mac)

  - ### Method Detail

    - #### getInstance

          public static KemBMParameter getInstance(java.lang.Object o)

    - #### getKdf

          public AlgorithmIdentifier getKdf()

    - #### getLen

          public ASN1Integer getLen()

    - #### getMac

          public AlgorithmIdentifier getMac()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

            KemBMParameter ::= SEQUENCE {
                kdf              AlgorithmIdentifier{KEY-DERIVATION, {...}},
                len              INTEGER (1..MAX),
                mac              AlgorithmIdentifier{MAC-ALGORITHM, {...}}
              }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.